complexType "RelativeDateOffset"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period, dateRelativeTo?
</...>

Content Model Elements (3):

  dateRelativeTo (defined in RelativeDateOffset complexType), period (defined in Period complexType), | periodMultiplier (defined in Period complexType)

Known Direct Subtypes (2):

  AdjustedRelativeDateOffset, RelativeDates

All Direct / Indirect Based Elements (8):

  feePaymentDate (defined in ExerciseFee complexType),
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  relativeDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType),
  settlementDateOffset

Known Usage Locations

- In derivations of other global types (2):

  AdjustedRelativeDateOffset (as extension base), | RelativeDates (as extension base)

- As direct type of elements (5):
  feePaymentDate (defined in ExerciseFee complexType),
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  settlementDateOffset

Annotation
A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date). If the anchor date is itself an adjustable date then the offset is assumed to be calculated from the adjusted anchor date. A number of different scenarios can be supported, namely; 1) the derived date may simply be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date; 2) the unadjusted derived date may be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date with the resulting unadjusted derived date subject to adjustment in accordance with a specified business day convention, i.e. the derived date must fall on a good business day; 3) the derived date may be a number of business days preceding or following the anchor date. Note that the businessDayConvention specifies any required adjustment to the unadjusted derived date. A negative or positive value in the periodMultiplier indicates whether the unadjusted derived precedes or follows the anchor date. The businessDayConvention should contain a value NONE if the day type element contains a value of Business (since specifying a negative or positive business days offset would already guarantee that the derived date would fall on a good business day in the specified business centers).
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) RelativeDateOffset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RelativeDateOffset"> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <!--View Generation: SKIPPED businessDayConvention - DateAdjustments--> <!--View Generation: SKIPPED - DateAdjustments--> <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"/> <!--View Generation: SKIPPED adjustedDate - DateAdjustments--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
dateRelativeTo

  Type: | DateReference, empty content

  Specifies the anchor as an href attribute. The href attribute value is a pointer style reference to the element or component elsewhere in the document where the anchor date is defined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.